Announcement

Collapse
No announcement yet.

NVIDIA Updates Legacy Drivers For X.Org Server 1.18

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • NVIDIA Updates Legacy Drivers For X.Org Server 1.18

    Phoronix: NVIDIA Updates Legacy Drivers For X.Org Server 1.18

    NVIDIA yesterday released the 358.13 Linux graphics driver as the newest mainline driver. This week, however, they've also updated their legacy drivers for X.Org Server 1.18...

    http://www.phoronix.com/scan.php?pag...-Legacy-X-1.18

  • #2
    Any update about fixing the bug in the 340.xx legacy series, that makes using GTK+ apps like gedit a pain?

    Comment


    • #3
      Originally posted by oleid View Post
      Any update about fixing the bug in the 340.xx legacy series, that makes using GTK+ apps like gedit a pain?
      Wasn't that fixed on the Gnome side in the newest versions of mutter? Does that fix also need a change in the driver?

      Comment


      • #4
        Originally posted by oleid View Post
        Any update about fixing the bug in the 340.xx legacy series, that makes using GTK+ apps like gedit a pain?
        I looked it up on Gnome's bugtracker and it's apparently working since Gnome 3.18 or 3.18.1 or so. See post #120 here:

        https://bugzilla.gnome.org/show_bug.cgi?id=728464#c120

        Comment


        • #5
          Legacy drivers 340.xx was also updated to 340.96 which supports X.Org server 1.18 (ABI 20.0)
          Last edited by matsbtegner; 11-18-2015, 04:25 PM.

          Comment


          • #6
            8600M GS, with proprietary driver KWin is crashing sometimes, but with nouveau KWin is mostly stable (there is some artifacts, but nothing so critical as compositor crash). However, with proprietary driver 1080p decoding work, and stutter with nouveau. Also some 720p buggy decoding with nouveau (I talking about VDPAU here obviously).

            Comment


            • #7
              Originally posted by RussianNeuroMancer View Post
              8600M GS, with proprietary driver KWin is crashing sometimes, but with nouveau KWin is mostly stable (there is some artifacts, but nothing so critical as compositor crash). However, with proprietary driver 1080p decoding work, and stutter with nouveau. Also some 720p buggy decoding with nouveau (I talking about VDPAU here obviously).
              That GPU is supported by both the 304.xx series as well as the 340.xx series. Which one do you use?

              Comment


              • #8
                I suppose 170xx driver branch is not even considered legacy anymore, as it's still not updated.

                Comment


                • #9
                  Originally posted by yoshi314 View Post
                  I suppose 170xx driver branch is not even considered legacy anymore, as it's still not updated.
                  http://nvidia.custhelp.com/app/answe...y-gpu-releases

                  "Support for X.Org xserver version 1.15 was added to the 173.14.* legacy driver series with version 173.14.39. No further releases from the 173.14.* series are planned."

                  Comment


                  • #10
                    whats the problem with amd? is that because their catalyst code its a lot more difficult to modify compared to the nvidia drivers?

                    Comment

                    Working...
                    X